$AdfDhtmlListViewPeer$$.$_SUB_ID_MAP$ = {fetchMoreItems:"fchmrlnk"};
$AdfDhtmlListViewPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlListViewPeer$$$$$GetSubIdDomElement$$($anchors_subElementId$$35$$) {
  $AdfAssert$$.$assertNonEmptyString$($anchors_subElementId$$35$$);
  var $domElement$$655$$ = null;
  if (0 <= $anchors_subElementId$$35$$.indexOf("fetchMoreItems")) {
    var $linkId$$4$$, $component$$2439_nodeCount$$7$$ = this.$getComponent$();
    if ("fetchMoreItems" == $anchors_subElementId$$35$$) {
      $anchors_subElementId$$35$$ = this.$getDomElement$().getElementsByTagName("a");
      for (var $component$$2439_nodeCount$$7$$ = $anchors_subElementId$$35$$.length, $i$$759$$ = 0;$i$$759$$ < $component$$2439_nodeCount$$7$$;$i$$759$$++) {
        var $anchorId$$2$$ = $anchors_subElementId$$35$$[$i$$759$$].id;
        if (null != $anchorId$$2$$ && -1 != $anchorId$$2$$.indexOf("fchmrlnk")) {
          $linkId$$4$$ = $anchorId$$2$$;
          break;
        }
      }
    } else {
      $linkId$$4$$ = $AdfRichUIPeer$$.$CreateSubId$($component$$2439_nodeCount$$7$$.$getClientId$(), "fchmrlnk" + $anchors_subElementId$$35$$.substring(14));
    }
    null != $linkId$$4$$ && ($domElement$$655$$ = $AdfAgent$$.$AGENT$.getElementById($linkId$$4$$));
  }
  return $domElement$$655$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlListViewPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlListViewPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlListViewPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlListViewPeer$$$$$GetBestMatchSubId$$($childElement$$29$$) {
  for (var $anchors$$1$$ = this.$getDomElement$().getElementsByTagName("a"), $nodeCount$$8$$ = $anchors$$1$$.length, $i$$760$$ = 0;$i$$760$$ < $nodeCount$$8$$;$i$$760$$++) {
    var $anchorId$$3$$ = $anchors$$1$$[$i$$760$$].id;
    if (null != $anchorId$$3$$ && -1 != $anchorId$$3$$.indexOf("fchmrlnk") && $childElement$$29$$ == $anchors$$1$$[$i$$760$$]) {
      return "fetchMoreItems";
    }
  }
  return $AdfSubIdUtils$$.$getBestMatchSubId$($childElement$$29$$, this, $AdfDhtmlListViewPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlListViewPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlListViewPeer$$.prototype.$GetBestMatchSubId$});
